package entities;

import org.anddev.andengine.entity.sprite.Sprite;
import org.anddev.andengine.opengl.texture.region.TextureRegion;

import activities.NewLevel.CollectibleColor;

// Collectibles class

public class Collectible extends Sprite{
	
	private int score;
	//Creates a new collectible as a new Sprite type with position and score values.
	public Collectible(int posX, int posY , TextureRegion pTextureRegion, CollectibleColor pColor){
		super(posX, posY, pTextureRegion);		
		this.score = pColor.getValue();
		
	}
	
	public void setScore(int pScore){
		this.score = pScore;
	}
	
	public int getScore(){
		return score;
	}
	
	
	
}
